Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultAmppType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v3.ConsultAmppType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:09+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultAmppType

extends Object
implements Serializable

Java class for ConsultAmppType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAmppType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Orphan" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="LeafletLink" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="SpcLink" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="RmaPatientLink" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="RmaProfessionalLink" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="ParallelCircuit" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}ParallelCircuitType" minOccurs="0"/>
             <element name="ParallelDistributor" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="PackMultiplier" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" minOccurs="0"/>
             <element name="PackAmount" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}PackAmountType" minOccurs="0"/>
             <element name="PackDisplayValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AuthorisationNr" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="SingleUse" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="SpeciallyRegulated" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}SpeciallyRegulatedType" minOccurs="0"/>
             <element name="AbbreviatedName" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="PrescriptionName" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="Note" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="PosologyNote" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="CrmLink" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType" minOccurs="0"/>
             <element name="ExFactoryPrice" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
             <element name="ReimbursementCode" type="{urn:be:fgov:ehealth:dics:core:v3:actual:common}ReimbursementCodeType" minOccurs="0"/>
             <element name="Atc" type="{urn:be:fgov:ehealth:dics:protocol:v3}AtcClassificationType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="DeliveryModus" type="{urn:be:fgov:ehealth:dics:protocol:v3}DeliveryModusType"/>
             <element name="DeliveryModusSpecification" type="{urn:be:fgov:ehealth:dics:protocol:v3}DeliveryModusSpecificationType" minOccurs="0"/>
             <element name="NoGenericPrescriptionReason" type="{urn:be:fgov:ehealth:dics:protocol:v3}NoGenericPrescriptionReasonType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AmppComponent" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultAmppComponentType" maxOccurs="unbounded"/>
             <element name="Commercialization" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultCommercializationType" minOccurs="0"/>
             <element name="SupplyProblem" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultSupplyProblemType" minOccurs="0"/>
             <element name="Dmpp" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultDmppType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
           <attribute name="CtiExtended" use="required" type="{urn:be:fgov:ehealth:dics:core:v3:core}CtiExtendedType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultAmppType()`

Method Summary
`ConsultTextType` | `getAbbreviatedName()` Gets the value of the abbreviatedName property.
`List<ConsultAmppComponentType>` | `getAmppComponents()` Gets the value of the amppComponents property.
`List<AtcClassificationType>` | `getAtcs()` Gets the value of the atcs property.
`String` | `getAuthorisationNr()` Gets the value of the authorisationNr property.
`ConsultCommercializationType` | `getCommercialization()` Gets the value of the commercialization property.
`ConsultTextType` | `getCrmLink()` Gets the value of the crmLink property.
`String` | `getCtiExtended()` Gets the value of the ctiExtended property.
`DeliveryModusType` | `getDeliveryModus()` Gets the value of the deliveryModus property.
`DeliveryModusSpecificationType` | `getDeliveryModusSpecification()` Gets the value of the deliveryModusSpecification property.
`List<ConsultDmppType>` | `getDmpps()` Gets the value of the dmpps property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`BigDecimal` | `getExFactoryPrice()` Gets the value of the exFactoryPrice property.
`ConsultTextType` | `getLeafletLink()` Gets the value of the leafletLink property.
`List<NoGenericPrescriptionReasonType>` | `getNoGenericPrescriptionReasons()` Gets the value of the noGenericPrescriptionReasons property.
`ConsultTextType` | `getNote()` Gets the value of the note property.
`PackAmountType` | `getPackAmount()` Gets the value of the packAmount property.
`String` | `getPackDisplayValue()` Gets the value of the packDisplayValue property.
`BigInteger` | `getPackMultiplier()` Gets the value of the packMultiplier property.
`BigInteger` | `getParallelCircuit()` Gets the value of the parallelCircuit property.
`String` | `getParallelDistributor()` Gets the value of the parallelDistributor property.
`ConsultTextType` | `getPosologyNote()` Gets the value of the posologyNote property.
`ConsultTextType` | `getPrescriptionName()` Gets the value of the prescriptionName property.
`BigInteger` | `getReimbursementCode()` Gets the value of the reimbursementCode property.
`ConsultTextType` | `getRmaPatientLink()` Gets the value of the rmaPatientLink property.
`ConsultTextType` | `getRmaProfessionalLink()` Gets the value of the rmaProfessionalLink property.
`ConsultTextType` | `getSpcLink()` Gets the value of the spcLink property.
`BigInteger` | `getSpeciallyRegulated()` Gets the value of the speciallyRegulated property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`ConsultSupplyProblemType` | `getSupplyProblem()` Gets the value of the supplyProblem property.
`boolean` | `isOrphan()` Gets the value of the orphan property.
`Boolean` | `isSingleUse()` Gets the value of the singleUse property.
`void` | `setAbbreviatedName(ConsultTextType value)` Sets the value of the abbreviatedName property.
`void` | `setAuthorisationNr(String value)` Sets the value of the authorisationNr property.
`void` | `setCommercialization(ConsultCommercializationType value)` Sets the value of the commercialization property.
`void` | `setCrmLink(ConsultTextType value)` Sets the value of the crmLink property.
`void` | `setCtiExtended(String value)` Sets the value of the ctiExtended property.
`void` | `setDeliveryModus(DeliveryModusType value)` Sets the value of the deliveryModus property.
`void` | `setDeliveryModusSpecification(DeliveryModusSpecificationType value)` Sets the value of the deliveryModusSpecification property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setExFactoryPrice(BigDecimal value)` Sets the value of the exFactoryPrice property.
`void` | `setLeafletLink(ConsultTextType value)` Sets the value of the leafletLink property.
`void` | `setNote(ConsultTextType value)` Sets the value of the note property.
`void` | `setOrphan(boolean value)` Sets the value of the orphan property.
`void` | `setPackAmount(PackAmountType value)` Sets the value of the packAmount property.
`void` | `setPackDisplayValue(String value)` Sets the value of the packDisplayValue property.
`void` | `setPackMultiplier(BigInteger value)` Sets the value of the packMultiplier property.
`void` | `setParallelCircuit(BigInteger value)` Sets the value of the parallelCircuit property.
`void` | `setParallelDistributor(String value)` Sets the value of the parallelDistributor property.
`void` | `setPosologyNote(ConsultTextType value)` Sets the value of the posologyNote property.
`void` | `setPrescriptionName(ConsultTextType value)` Sets the value of the prescriptionName property.
`void` | `setReimbursementCode(BigInteger value)` Sets the value of the reimbursementCode property.
`void` | `setRmaPatientLink(ConsultTextType value)` Sets the value of the rmaPatientLink property.
`void` | `setRmaProfessionalLink(ConsultTextType value)` Sets the value of the rmaProfessionalLink property.
`void` | `setSingleUse(Boolean value)` Sets the value of the singleUse property.
`void` | `setSpcLink(ConsultTextType value)` Sets the value of the spcLink property.
`void` | `setSpeciallyRegulated(BigInteger value)` Sets the value of the speciallyRegulated property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setSupplyProblem(ConsultSupplyProblemType value)` Sets the value of the supplyProblem property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultAmppType

    public ConsultAmppType()

Method Detail

### isOrphan

    public boolean isOrphan()

  Gets the value of the orphan property.

### setOrphan

    public void setOrphan(boolean value)

  Sets the value of the orphan property.

### getLeafletLink

    public ConsultTextType getLeafletLink()

  Gets the value of the leafletLink property.

  Returns:
    possible object is `ConsultTextType`

### setLeafletLink

    public void setLeafletLink(ConsultTextType value)

  Sets the value of the leafletLink property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getSpcLink

    public ConsultTextType getSpcLink()

  Gets the value of the spcLink property.

  Returns:
    possible object is `ConsultTextType`

### setSpcLink

    public void setSpcLink(ConsultTextType value)

  Sets the value of the spcLink property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getRmaPatientLink

    public ConsultTextType getRmaPatientLink()

  Gets the value of the rmaPatientLink property.

  Returns:
    possible object is `ConsultTextType`

### setRmaPatientLink

    public void setRmaPatientLink(ConsultTextType value)

  Sets the value of the rmaPatientLink property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getRmaProfessionalLink

    public ConsultTextType getRmaProfessionalLink()

  Gets the value of the rmaProfessionalLink property.

  Returns:
    possible object is `ConsultTextType`

### setRmaProfessionalLink

    public void setRmaProfessionalLink(ConsultTextType value)

  Sets the value of the rmaProfessionalLink property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getParallelCircuit

    public BigInteger getParallelCircuit()

  Gets the value of the parallelCircuit property.

  Returns:
    possible object is `BigInteger`

### setParallelCircuit

    public void setParallelCircuit(BigInteger value)

  Sets the value of the parallelCircuit property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getParallelDistributor

    public String getParallelDistributor()

  Gets the value of the parallelDistributor property.

  Returns:
    possible object is `String`

### setParallelDistributor

    public void setParallelDistributor(String value)

  Sets the value of the parallelDistributor property.

  Parameters:
    `value` - allowed object is `String`

### getPackMultiplier

    public BigInteger getPackMultiplier()

  Gets the value of the packMultiplier property.

  Returns:
    possible object is `BigInteger`

### setPackMultiplier

    public void setPackMultiplier(BigInteger value)

  Sets the value of the packMultiplier property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getPackAmount

    public PackAmountType getPackAmount()

  Gets the value of the packAmount property.

  Returns:
    possible object is `PackAmountType`

### setPackAmount

    public void setPackAmount(PackAmountType value)

  Sets the value of the packAmount property.

  Parameters:
    `value` - allowed object is `PackAmountType`

### getPackDisplayValue

    public String getPackDisplayValue()

  Gets the value of the packDisplayValue property.

  Returns:
    possible object is `String`

### setPackDisplayValue

    public void setPackDisplayValue(String value)

  Sets the value of the packDisplayValue property.

  Parameters:
    `value` - allowed object is `String`

### getAuthorisationNr

    public String getAuthorisationNr()

  Gets the value of the authorisationNr property.

  Returns:
    possible object is `String`

### setAuthorisationNr

    public void setAuthorisationNr(String value)

  Sets the value of the authorisationNr property.

  Parameters:
    `value` - allowed object is `String`

### isSingleUse

    public Boolean isSingleUse()

  Gets the value of the singleUse property.

  Returns:
    possible object is `Boolean`

### setSingleUse

    public void setSingleUse(Boolean value)

  Sets the value of the singleUse property.

  Parameters:
    `value` - allowed object is `Boolean`

### getSpeciallyRegulated

    public BigInteger getSpeciallyRegulated()

  Gets the value of the speciallyRegulated property.

  Returns:
    possible object is `BigInteger`

### setSpeciallyRegulated

    public void setSpeciallyRegulated(BigInteger value)

  Sets the value of the speciallyRegulated property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getAbbreviatedName

    public ConsultTextType getAbbreviatedName()

  Gets the value of the abbreviatedName property.

  Returns:
    possible object is `ConsultTextType`

### setAbbreviatedName

    public void setAbbreviatedName(ConsultTextType value)

  Sets the value of the abbreviatedName property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getPrescriptionName

    public ConsultTextType getPrescriptionName()

  Gets the value of the prescriptionName property.

  Returns:
    possible object is `ConsultTextType`

### setPrescriptionName

    public void setPrescriptionName(ConsultTextType value)

  Sets the value of the prescriptionName property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getNote

    public ConsultTextType getNote()

  Gets the value of the note property.

  Returns:
    possible object is `ConsultTextType`

### setNote

    public void setNote(ConsultTextType value)

  Sets the value of the note property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getPosologyNote

    public ConsultTextType getPosologyNote()

  Gets the value of the posologyNote property.

  Returns:
    possible object is `ConsultTextType`

### setPosologyNote

    public void setPosologyNote(ConsultTextType value)

  Sets the value of the posologyNote property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getCrmLink

    public ConsultTextType getCrmLink()

  Gets the value of the crmLink property.

  Returns:
    possible object is `ConsultTextType`

### setCrmLink

    public void setCrmLink(ConsultTextType value)

  Sets the value of the crmLink property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getExFactoryPrice

    public BigDecimal getExFactoryPrice()

  Gets the value of the exFactoryPrice property.

  Returns:
    possible object is `BigDecimal`

### setExFactoryPrice

    public void setExFactoryPrice(BigDecimal value)

  Sets the value of the exFactoryPrice property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getReimbursementCode

    public BigInteger getReimbursementCode()

  Gets the value of the reimbursementCode property.

  Returns:
    possible object is `BigInteger`

### setReimbursementCode

    public void setReimbursementCode(BigInteger value)

  Sets the value of the reimbursementCode property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getAtcs

    public List<AtcClassificationType> getAtcs()

  Gets the value of the atcs property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the atcs property.

  For example, to add a new item, do as follows:

          getAtcs().add(newItem);

  Objects of the following type(s) are allowed in the list `AtcClassificationType`

### getDeliveryModus

    public DeliveryModusType getDeliveryModus()

  Gets the value of the deliveryModus property.

  Returns:
    possible object is `DeliveryModusType`

### setDeliveryModus

    public void setDeliveryModus(DeliveryModusType value)

  Sets the value of the deliveryModus property.

  Parameters:
    `value` - allowed object is `DeliveryModusType`

### getDeliveryModusSpecification

    public DeliveryModusSpecificationType getDeliveryModusSpecification()

  Gets the value of the deliveryModusSpecification property.

  Returns:
    possible object is `DeliveryModusSpecificationType`

### setDeliveryModusSpecification

    public void setDeliveryModusSpecification(DeliveryModusSpecificationType value)

  Sets the value of the deliveryModusSpecification property.

  Parameters:
    `value` - allowed object is `DeliveryModusSpecificationType`

### getNoGenericPrescriptionReasons

    public List<NoGenericPrescriptionReasonType> getNoGenericPrescriptionReasons()

  Gets the value of the noGenericPrescriptionReasons property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the noGenericPrescriptionReasons property.

  For example, to add a new item, do as follows:

          getNoGenericPrescriptionReasons().add(newItem);

  Objects of the following type(s) are allowed in the list `NoGenericPrescriptionReasonType`

### getAmppComponents

    public List<ConsultAmppComponentType> getAmppComponents()

  Gets the value of the amppComponents property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the amppComponents property.

  For example, to add a new item, do as follows:

          getAmppComponents().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultAmppComponentType`

### getCommercialization

    public ConsultCommercializationType getCommercialization()

  Gets the value of the commercialization property.

  Returns:
    possible object is `ConsultCommercializationType`

### setCommercialization

    public void setCommercialization(ConsultCommercializationType value)

  Sets the value of the commercialization property.

  Parameters:
    `value` - allowed object is `ConsultCommercializationType`

### getSupplyProblem

    public ConsultSupplyProblemType getSupplyProblem()

  Gets the value of the supplyProblem property.

  Returns:
    possible object is `ConsultSupplyProblemType`

### setSupplyProblem

    public void setSupplyProblem(ConsultSupplyProblemType value)

  Sets the value of the supplyProblem property.

  Parameters:
    `value` - allowed object is `ConsultSupplyProblemType`

### getDmpps

    public List<ConsultDmppType> getDmpps()

  Gets the value of the dmpps property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dmpps property.

  For example, to add a new item, do as follows:

          getDmpps().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultDmppType`

### getCtiExtended

    public String getCtiExtended()

  Gets the value of the ctiExtended property.

  Returns:
    possible object is `String`

### setCtiExtended

    public void setCtiExtended(String value)

  Sets the value of the ctiExtended property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.